org.eclnt.jsfserver.elements.componentnodes

## Class ROWMATRIXAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWMATRIXAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWMATRIXAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWMATRIXAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWMATRIXAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `ROWMATRIXAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindColdistance(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindPadding(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindRounding(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWMATRIXAREANode` | `setActionListener(java.lang.String value)`
    `ROWMATRIXAREANode` | `setAdapterbinding(java.lang.String value)`
    `ROWMATRIXAREANode` | `setAttributemacro(java.lang.String value)`
    `ROWMATRIXAREANode` | `setBackground(java.lang.String value)`
    `ROWMATRIXAREANode` | `setBgpaint(java.lang.String value)`
    `ROWMATRIXAREANode` | `setBorder(java.lang.String value)`
    `ROWMATRIXAREANode` | `setColdistance(int value)`
    `ROWMATRIXAREANode` | `setColdistance(java.lang.String value)`
    `ROWMATRIXAREANode` | `setComment(java.lang.String value)`
    `ROWMATRIXAREANode` | `setConfiginfo(java.lang.String value)`
    `ROWMATRIXAREANode` | `setFlusharea(boolean value)`
    `ROWMATRIXAREANode` | `setFlusharea(java.lang.String value)`
    `ROWMATRIXAREANode` | `setFxstyleseq(java.lang.String value)`
    `ROWMATRIXAREANode` | `setHeight(int value)`
    `ROWMATRIXAREANode` | `setHeight(java.lang.String value)`
    `ROWMATRIXAREANode` | `setHelpid(java.lang.String value)`
    `ROWMATRIXAREANode` | `setId(java.lang.String value)`
    `ROWMATRIXAREANode` | `setPadding(java.lang.String value)`
    `ROWMATRIXAREANode` | `setPopupmenu(java.lang.String value)`
    `ROWMATRIXAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROWMATRIXAREANode` | `setReference(java.lang.String value)`
    `ROWMATRIXAREANode` | `setRendered(boolean value)`
    `ROWMATRIXAREANode` | `setRendered(java.lang.String value)`
    `ROWMATRIXAREANode` | `setRounding(int value)`
    `ROWMATRIXAREANode` | `setRounding(java.lang.String value)`
    `ROWMATRIXAREANode` | `setRowdistance(int value)`
    `ROWMATRIXAREANode` | `setRowdistance(java.lang.String value)`
    `ROWMATRIXAREANode` | `setShadow(java.lang.String value)`
    `ROWMATRIXAREANode` | `setStyleseq(java.lang.String value)`
    `ROWMATRIXAREANode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWMATRIXAREANode

          public ROWMATRIXAREANode()

  - ### Method Detail

    - #### setId

          public ROWMATRIXAREANode setId(java.lang.String value)

    - #### setActionListener

          public ROWMATRIXAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROWMATRIXAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ROWMATRIXAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ROWMATRIXAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ROWMATRIXAREANode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ROWMATRIXAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public ROWMATRIXAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROWMATRIXAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROWMATRIXAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ROWMATRIXAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public ROWMATRIXAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWMATRIXAREANode setColdistance(java.lang.String value)

    - #### bindColdistance

          public ROWMATRIXAREANode bindColdistance(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWMATRIXAREANode setColdistance(int value)

    - #### setComment

          public ROWMATRIXAREANode setComment(java.lang.String value)

    - #### bindComment

          public ROWMATRIXAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWMATRIXAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWMATRIXAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWMATRIXAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ROWMATRIXAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWMATRIXAREANode setFlusharea(boolean value)

    - #### setFxstyleseq

          public ROWMATRIXAREANode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ROWMATRIXAREANode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWMATRIXAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public ROWMATRIXAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWMATRIXAREANode setHeight(int value)

    - #### setHelpid

          public ROWMATRIXAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ROWMATRIXAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setPadding

          public ROWMATRIXAREANode setPadding(java.lang.String value)

    - #### bindPadding

          public ROWMATRIXAREANode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ROWMATRIXAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROWMATRIXAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROWMATRIXAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROWMATRIXAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROWMATRIXAREANode setReference(java.lang.String value)

    - #### setRendered

          public ROWMATRIXAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWMATRIXAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWMATRIXAREANode setRendered(boolean value)

    - #### setRounding

          public ROWMATRIXAREANode setRounding(java.lang.String value)

    - #### bindRounding

          public ROWMATRIXAREANode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ROWMATRIXAREANode setRounding(int value)

    - #### setRowdistance

          public ROWMATRIXAREANode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public ROWMATRIXAREANode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ROWMATRIXAREANode setRowdistance(int value)

    - #### setShadow

          public ROWMATRIXAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public ROWMATRIXAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public ROWMATRIXAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ROWMATRIXAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ROWMATRIXAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWMATRIXAREANode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.